<?php

function FullInstall($Manager)
{
  $Manager->Execute("--
CREATE TABLE IF NOT EXISTS `ClientVersion` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Version` varchar(16) NOT NULL,
  `BuildNumber` int(11) NOT NULL,
  `ReleaseDate` date NOT NULL,
  `Title` varchar(255) NOT NULL,
  `Imported` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `BuildNumber` (`BuildNumber`),
  KEY `Version` (`Version`),
  KEY `ReleaseDate` (`ReleaseDate`),
  KEY `Imported` (`Imported`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `CzWoWPackageVersion`
--

CREATE TABLE IF NOT EXISTS `CzWoWPackageVersion` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Version` text COLLATE utf8_czech_ci NOT NULL,
  `Date` datetime NOT NULL,
  `Text` text COLLATE utf8_czech_ci NOT NULL,
  `User` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `user` (`User`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `CzWoWPackageVersion`:
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `DbVersion`
--

CREATE TABLE IF NOT EXISTS `DbVersion` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Revision` int(11) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `Dictionary`
--

CREATE TABLE IF NOT EXISTS `Dictionary` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Text` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL,
  `Description` text NOT NULL,
  `User` int(11) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `Language` (`Language`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `Dictionary`:
--   `User`
--       `User` -> `ID`
--   `Language`
--       `Language` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `Export`
--

CREATE TABLE IF NOT EXISTS `Export` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `User` int(11) NOT NULL,
  `TimeCreate` datetime NOT NULL,
  `Title` varchar(255) NOT NULL,
  `WithDiacritic` tinyint(1) NOT NULL,
  `UsedCount` int(11) NOT NULL,
  `ClientVersion` int(11) DEFAULT NULL,
  `OutputType` int(11) DEFAULT NULL,
  `Description` text NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `User` (`User`),
  KEY `TimeCreate` (`TimeCreate`),
  KEY `ClientVersion` (`ClientVersion`),
  KEY `OutputType` (`OutputType`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `Export`:
--   `User`
--       `User` -> `ID`
--   `ClientVersion`
--       `ClientVersion` -> `Id`
--   `OutputType`
--       `ExportOutputType` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `ExportGroup`
--

CREATE TABLE IF NOT EXISTS `ExportGroup` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Export` int(11) NOT NULL,
  `Group` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Export` (`Export`),
  KEY `Group` (`Group`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `ExportGroup`:
--   `Group`
--       `Group` -> `Id`
--   `Export`
--       `Export` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `ExportLanguage`
--

CREATE TABLE IF NOT EXISTS `ExportLanguage` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Export` int(11) NOT NULL,
  `Language` int(11) NOT NULL,
  `Sequence` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Language` (`Language`),
  KEY `Export` (`Export`),
  KEY `Sequence` (`Sequence`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `ExportLanguage`:
--   `Export`
--       `Export` -> `Id`
--   `Language`
--       `Language` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `ExportOutputType`
--

CREATE TABLE IF NOT EXISTS `ExportOutputType` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `ExportTask`
--

CREATE TABLE IF NOT EXISTS `ExportTask` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `TimeStart` datetime NOT NULL,
  `TimeFinish` datetime DEFAULT NULL,
  `Export` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Export` (`Export`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `ExportTask`:
--   `Export`
--       `Export` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `ExportUser`
--

CREATE TABLE IF NOT EXISTS `ExportUser` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Export` int(11) NOT NULL,
  `User` int(11) NOT NULL,
  `Sequence` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Export` (`Export`),
  KEY `User` (`User`),
  KEY `Sequence` (`Sequence`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `ExportUser`:
--   `Export`
--       `Export` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `ExportVersion`
--

CREATE TABLE IF NOT EXISTS `ExportVersion` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `ExportType` int(11) NOT NULL,
  `ClientVersion` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `ExportType` (`ExportType`),
  KEY `ClientVersion` (`ClientVersion`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `ExportVersion`:
--   `ExportType`
--       `ExportOutputType` -> `Id`
--   `ClientVersion`
--       `ClientVersion` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `Group`
--

CREATE TABLE IF NOT EXISTS `Group` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `TablePrefix` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `PrimaryKeyItem` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT 'Entry',
  `SourceType` enum('dbc','lua','sql') COLLATE utf8_czech_ci NOT NULL DEFAULT 'sql',
  `MangosDatabase` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `MangosTable` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `MangosTableIndex` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `DBCFileName` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `DBCIndex` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '0',
  `WowheadName` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `LuaFileName` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `LuaMPQFolder` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `LastImport` datetime NOT NULL,
  `LastVersion` int(11) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `GroupItem`
--

CREATE TABLE IF NOT EXISTS `GroupItem` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Group` int(11) NOT NULL,
  `Sequence` int(11) NOT NULL,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Column` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Visible` tinyint(1) NOT NULL DEFAULT '1',
  `MangosColumn` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `AddonFileName` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Group` (`Group`),
  KEY `Visible` (`Visible`),
  KEY `Sequence` (`Sequence`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `GroupItem`:
--   `Group`
--       `Group` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `GroupItemDBC`
--

CREATE TABLE IF NOT EXISTS `GroupItemDBC` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `ClientVersion` int(11) NOT NULL,
  `GroupItem` int(11) NOT NULL,
  `ColumnIndex` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  UNIQUE KEY `ClientVersion_2` (`ClientVersion`,`GroupItem`),
  KEY `ClientVersion` (`ClientVersion`),
  KEY `GroupItem` (`GroupItem`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `GroupItemDBC`:
--   `ClientVersion`
--       `ClientVersion` -> `Id`
--   `GroupItem`
--       `GroupItem` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `Language`
--

CREATE TABLE IF NOT EXISTS `Language` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`),
  KEY `Enabled` (`Enabled`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `Log`
--

CREATE TABLE IF NOT EXISTS `Log` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `User` int(11) DEFAULT NULL,
  `Type` int(11) NOT NULL,
  `Text` text NOT NULL,
  `Date` datetime NOT NULL,
  `IP` text NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `user` (`User`),
  KEY `type` (`Type`),
  KEY `date` (`Date`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `Log`:
--   `User`
--       `User` -> `ID`
--   `Type`
--       `LogType` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `LogType`
--

CREATE TABLE IF NOT EXISTS `LogType` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) NOT NULL,
  `Color` varchar(255) NOT NULL,
  `Description` varchar(255) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `News`
--

CREATE TABLE IF NOT EXISTS `News` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Time` datetime NOT NULL,
  `User` int(11) NOT NULL,
  `Text` text NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Time` (`Time`),
  KEY `User` (`User`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `News`:
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `Referrer`
--

CREATE TABLE IF NOT EXISTS `Referrer` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `DateFirst` datetime NOT NULL,
  `DateLast` datetime NOT NULL,
  `Web` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `Show` int(11) NOT NULL DEFAULT '1',
  `Description` text NOT NULL,
  `LastURL` varchar(255) NOT NULL,
  `Hits` int(11) NOT NULL,
  `Parent` int(11) DEFAULT NULL,
  PRIMARY KEY (`Id`),
  UNIQUE KEY `Web` (`Web`),
  KEY `Show` (`Show`),
  KEY `DateLast` (`DateLast`),
  KEY `Parent` (`Parent`),
  KEY `Hits` (`Hits`),
  KEY `DateFirst` (`DateFirst`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `Referrer`:
--   `Parent`
--       `Referrer` -> `Id`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `ServerList`
--

CREATE TABLE IF NOT EXISTS `ServerList` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) NOT NULL,
  `URL` varchar(255) NOT NULL,
  `Parts` varchar(255) NOT NULL,
  `TimeCreate` datetime NOT NULL,
  `UserCreate` int(11) NOT NULL,
  `OnlineState` int(11) NOT NULL,
  `XPRate` int(11) NOT NULL,
  `GameplayStyle` enum('normal','pvp','rp','rppvp') NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `ShoutBox`
--

CREATE TABLE IF NOT EXISTS `ShoutBox` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `User` int(11) DEFAULT NULL,
  `UserName` text NOT NULL,
  `Text` text NOT NULL,
  `Date` datetime NOT NULL,
  `IP` text NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `date` (`Date`),
  KEY `User` (`User`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `ShoutBox`:
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `Team`
--

CREATE TABLE IF NOT EXISTS `Team` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `Description` text CHARACTER SET utf8 COLLATE utf8_czech_ci NOT NULL,
  `URL` varchar(255) NOT NULL,
  `TimeCreate` datetime NOT NULL,
  `Leader` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Leader` (`Leader`),
  KEY `TimeCreate` (`TimeCreate`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- RELACE PRO TABULKU `Team`:
--   `Leader`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextAchievement`
--

CREATE TABLE IF NOT EXISTS `TextAchievement` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `Name` text NOT NULL,
  `Description` text NOT NULL,
  `Reward` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3389 ;

--
-- RELACE PRO TABULKU `TextAchievement`:
--   `Take`
--       `TextAchievement` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextAchievementCategory`
--

CREATE TABLE IF NOT EXISTS `TextAchievementCategory` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `Name` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=276 ;

--
-- RELACE PRO TABULKU `TextAchievementCategory`:
--   `Take`
--       `TextAchievementCategory` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextAchievementCriteria`
--

CREATE TABLE IF NOT EXISTS `TextAchievementCriteria` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `Text` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13494 ;

--
-- RELACE PRO TABULKU `TextAchievementCriteria`:
--   `Take`
--       `TextAchievementCriteria` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextArea`
--

CREATE TABLE IF NOT EXISTS `TextArea` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL,
  `VersionEnd` int(11) NOT NULL,
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6257 ;

--
-- RELACE PRO TABULKU `TextArea`:
--   `Take`
--       `TextArea` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextAreaPOI`
--

CREATE TABLE IF NOT EXISTS `TextAreaPOI` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `State` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5073 ;

--
-- RELACE PRO TABULKU `TextAreaPOI`:
--   `Take`
--       `TextAreaPOI` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextAreaTriggerTavern`
--

CREATE TABLE IF NOT EXISTS `TextAreaTriggerTavern` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `Name` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=222 ;

--
-- RELACE PRO TABULKU `TextAreaTriggerTavern`:
--   `Take`
--       `TextAreaTriggerTavern` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextAreaTriggerTeleport`
--

CREATE TABLE IF NOT EXISTS `TextAreaTriggerTeleport` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `Name` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=511 ;

--
-- RELACE PRO TABULKU `TextAreaTriggerTeleport`:
--   `Take`
--       `TextAreaTriggerTeleport` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextCharacterClass`
--

CREATE TABLE IF NOT EXISTS `TextCharacterClass` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `ShortCut` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL,
  `VersionEnd` int(11) NOT NULL,
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=47 ;

--
-- RELACE PRO TABULKU `TextCharacterClass`:
--   `Take`
--       `TextCharacterClass` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextCharacterRace`
--

CREATE TABLE IF NOT EXISTS `TextCharacterRace` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `ShortCut` varchar(255) NOT NULL,
  `Name1` varchar(255) NOT NULL,
  `Name2` varchar(255) NOT NULL,
  `Facial1` varchar(255) NOT NULL,
  `Facial2` varchar(255) NOT NULL,
  `Facial3` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=115 ;

--
-- RELACE PRO TABULKU `TextCharacterRace`:
--   `Take`
--       `TextCharacterRace` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextChatChannel`
--

CREATE TABLE IF NOT EXISTS `TextChatChannel` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `ShortName` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL,
  `VersionEnd` int(11) NOT NULL,
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=31 ;

--
-- RELACE PRO TABULKU `TextChatChannel`:
--   `Take`
--       `TextChatChannel` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextCreature`
--

CREATE TABLE IF NOT EXISTS `TextCreature` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` text NOT NULL,
  `SubName` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=69801 ;

--
-- RELACE PRO TABULKU `TextCreature`:
--   `Take`
--       `TextCreature` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextCreatureType`
--

CREATE TABLE IF NOT EXISTS `TextCreatureType` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL,
  `VersionEnd` int(11) NOT NULL,
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=72 ;

--
-- RELACE PRO TABULKU `TextCreatureType`:
--   `Take`
--       `TextCreatureType` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextEmote`
--

CREATE TABLE IF NOT EXISTS `TextEmote` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Text` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL,
  `VersionEnd` int(11) NOT NULL,
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2677 ;

--
-- RELACE PRO TABULKU `TextEmote`:
--   `Take`
--       `TextEmote` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextGameObject`
--

CREATE TABLE IF NOT EXISTS `TextGameObject` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` text NOT NULL,
  `CastBarCaption` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=112722 ;

--
-- RELACE PRO TABULKU `TextGameObject`:
--   `Take`
--       `TextGameObject` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextGameTip`
--

CREATE TABLE IF NOT EXISTS `TextGameTip` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Text` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=432 ;

--
-- RELACE PRO TABULKU `TextGameTip`:
--   `Take`
--       `TextGameTip` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextGlobalString`
--

CREATE TABLE IF NOT EXISTS `TextGlobalString` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `ShortCut` varchar(255) NOT NULL,
  `Text` text NOT NULL,
  `Comment` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `ShortCut` (`ShortCut`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=28367 ;

--
-- RELACE PRO TABULKU `TextGlobalString`:
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextGlueLocalization`
--

CREATE TABLE IF NOT EXISTS `TextGlueLocalization` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `ShortCut` varchar(255) NOT NULL,
  `Text` text NOT NULL,
  `Comment` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `ShortCut` (`ShortCut`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=260 ;

--
-- RELACE PRO TABULKU `TextGlueLocalization`:
--   `Take`
--       `TextGlueLocalization` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextGlueString`
--

CREATE TABLE IF NOT EXISTS `TextGlueString` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `ShortCut` varchar(255) NOT NULL,
  `Text` text NOT NULL,
  `Comment` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `ShortCut` (`ShortCut`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2787 ;

--
-- RELACE PRO TABULKU `TextGlueString`:
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextItem`
--

CREATE TABLE IF NOT EXISTS `TextItem` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` text NOT NULL,
  `Description` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=82094 ;

--
-- RELACE PRO TABULKU `TextItem`:
--   `Take`
--       `TextItem` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextItemSubClass`
--

CREATE TABLE IF NOT EXISTS `TextItemSubClass` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Index` varchar(255) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `Name2` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL,
  `VersionEnd` int(11) NOT NULL,
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=359 ;

--
-- RELACE PRO TABULKU `TextItemSubClass`:
--   `Take`
--       `TextItemSubClass` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextMangosCommand`
--

CREATE TABLE IF NOT EXISTS `TextMangosCommand` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Help` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `Name` varchar(255) NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `Name` (`Name`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1038 ;

--
-- RELACE PRO TABULKU `TextMangosCommand`:
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextMangosString`
--

CREATE TABLE IF NOT EXISTS `TextMangosString` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `ContentDefault` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2543 ;

--
-- RELACE PRO TABULKU `TextMangosString`:
--   `Take`
--       `TextMangosString` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextNPC`
--

CREATE TABLE IF NOT EXISTS `TextNPC` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Text0_0` text,
  `Text0_1` text,
  `Text1_0` text,
  `Text1_1` text,
  `Text2_0` text,
  `Text2_1` text,
  `Text3_0` text,
  `Text3_1` text,
  `Text4_0` text,
  `Text4_1` text,
  `Text5_0` text,
  `Text5_1` text,
  `Text6_0` text,
  `Text6_1` text,
  `Text7_0` text,
  `Text7_1` text,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=16782160 ;

--
-- RELACE PRO TABULKU `TextNPC`:
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextNPCOption`
--

CREATE TABLE IF NOT EXISTS `TextNPCOption` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `Index` varchar(255) NOT NULL,
  `OptionText` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3924 ;

--
-- RELACE PRO TABULKU `TextNPCOption`:
--   `Take`
--       `TextNPCOption` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextPage`
--

CREATE TABLE IF NOT EXISTS `TextPage` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Text` text,
  `Language` int(11) NOT NULL,
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Item System' AUTO_INCREMENT=2919 ;

--
-- RELACE PRO TABULKU `TextPage`:
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextQuest`
--

CREATE TABLE IF NOT EXISTS `TextQuest` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Title` text NOT NULL,
  `Details` text NOT NULL,
  `Objectives` text NOT NULL,
  `OfferRewardText` text NOT NULL,
  `RequestItemsText` text NOT NULL,
  `EndText` text NOT NULL,
  `ObjectiveText1` text NOT NULL,
  `ObjectiveText2` text NOT NULL,
  `ObjectiveText3` text NOT NULL,
  `ObjectiveText4` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '1',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL DEFAULT '1',
  `CompleteParts` int(11) NOT NULL COMMENT 'Bit array of completion of parts ',
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17188 ;

--
-- RELACE PRO TABULKU `TextQuest`:
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextSD2EventAI`
--

CREATE TABLE IF NOT EXISTS `TextSD2EventAI` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `ContentDefault` text NOT NULL,
  `Comment` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2956 ;

--
-- RELACE PRO TABULKU `TextSD2EventAI`:
--   `Take`
--       `TextSD2EventAI` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextSD2Script`
--

CREATE TABLE IF NOT EXISTS `TextSD2Script` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `ContentDefault` text NOT NULL,
  `Comment` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Complete` (`Complete`),
  KEY `Language` (`Language`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3344 ;

--
-- RELACE PRO TABULKU `TextSD2Script`:
--   `Take`
--       `TextSD2Script` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextSkillCategory`
--

CREATE TABLE IF NOT EXISTS `TextSkillCategory` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL,
  `VersionEnd` int(11) NOT NULL,
  `ModifyTime` datetime NOT NULL,
  `sss` int(11) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`),
  KEY `sss` (`sss`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

--
-- RELACE PRO TABULKU `TextSkillCategory`:
--   `Take`
--       `TextSkillCategory` -> `Id`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextSkillLine`
--

CREATE TABLE IF NOT EXISTS `TextSkillLine` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `Description` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=375 ;

--
-- RELACE PRO TABULKU `TextSkillLine`:
--   `Take`
--       `TextSkillLine` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextSpell`
--

CREATE TABLE IF NOT EXISTS `TextSpell` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` text NOT NULL,
  `Description` text NOT NULL,
  `ToolTip` text NOT NULL,
  `Rank` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=480282 ;

--
-- RELACE PRO TABULKU `TextSpell`:
--   `Take`
--       `TextSpell` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextTalentTab`
--

CREATE TABLE IF NOT EXISTS `TextTalentTab` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL,
  `VersionEnd` int(11) NOT NULL,
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=116 ;

--
-- RELACE PRO TABULKU `TextTalentTab`:
--   `Take`
--       `TextTalentTab` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextTotemCategory`
--

CREATE TABLE IF NOT EXISTS `TextTotemCategory` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Name` varchar(255) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL,
  `VersionEnd` int(11) NOT NULL,
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=68 ;

--
-- RELACE PRO TABULKU `TextTotemCategory`:
--   `Take`
--       `TextTotemCategory` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextTransport`
--

CREATE TABLE IF NOT EXISTS `TextTransport` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `Name` text NOT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=75 ;

--
-- RELACE PRO TABULKU `TextTransport`:
--   `Take`
--       `TextTransport` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `TextWorldStateUI`
--

CREATE TABLE IF NOT EXISTS `TextWorldStateUI` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Entry` int(11) NOT NULL,
  `Text1` varchar(255) NOT NULL,
  `Text2` varchar(255) NOT NULL,
  `Frame` text NOT NULL,
  `Frame2` text NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '0',
  `User` int(11) DEFAULT NULL,
  `Complete` int(11) NOT NULL,
  `CompleteParts` int(11) NOT NULL,
  `Take` int(11) DEFAULT NULL,
  `VersionStart` int(11) NOT NULL DEFAULT '8606',
  `VersionEnd` int(11) NOT NULL DEFAULT '8606',
  `ModifyTime` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `Entry` (`Entry`),
  KEY `User` (`User`),
  KEY `Take` (`Take`),
  KEY `Language` (`Language`),
  KEY `Complete` (`Complete`),
  KEY `VersionStart` (`VersionStart`),
  KEY `VersionEnd` (`VersionEnd`),
  KEY `ModifyTime` (`ModifyTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=391 ;

--
-- RELACE PRO TABULKU `TextWorldStateUI`:
--   `Take`
--       `TextWorldStateUI` -> `ID`
--   `Language`
--       `Language` -> `Id`
--   `User`
--       `User` -> `ID`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `User`
--

CREATE TABLE IF NOT EXISTS `User` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(64) CHARACTER SET utf8 NOT NULL,
  `Pass` text CHARACTER SET utf8 NOT NULL,
  `Salt` varchar(255) CHARACTER SET utf8 NOT NULL,
  `GM` int(11) NOT NULL DEFAULT '0',
  `LastIP` text CHARACTER SET utf8 NOT NULL,
  `LastLogin` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `LastLogout` datetime DEFAULT NULL,
  `Email` text CHARACTER SET utf8 NOT NULL,
  `Language` int(11) NOT NULL DEFAULT '1',
  `XP` int(11) NOT NULL,
  `TranslatedCount` int(11) NOT NULL,
  `NeedUpdate` int(11) NOT NULL,
  `Team` int(11) DEFAULT NULL,
  `Redirecting` int(11) NOT NULL,
  `RegistrationTime` datetime DEFAULT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `user` (`Name`),
  KEY `team` (`Team`),
  KEY `LastLogin` (`LastLogin`),
  KEY `LastLogout` (`LastLogout`),
  KEY `NeedUpdate` (`NeedUpdate`),
  KEY `TranslatedCount` (`TranslatedCount`),
  KEY `Language` (`Language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1388 ;

--
-- RELACE PRO TABULKU `User`:
--   `Language`
--       `Language` -> `Id`
--   `Team`
--       `Team` -> `Id`
--

--
-- Omezení pro exportované tabulky
--

--
-- Omezení pro tabulku `CzWoWPackageVersion`
--
ALTER TABLE `CzWoWPackageVersion`
  ADD CONSTRAINT `CzWoWPackageVersion_ibfk_1` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `Dictionary`
--
ALTER TABLE `Dictionary`
  ADD CONSTRAINT `Dictionary_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`),
  ADD CONSTRAINT `Dictionary_ibfk_3` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`);

--
-- Omezení pro tabulku `Export`
--
ALTER TABLE `Export`
  ADD CONSTRAINT `Export_ibfk_1` FOREIGN KEY (`User`) REFERENCES `User` (`ID`),
  ADD CONSTRAINT `Export_ibfk_2` FOREIGN KEY (`ClientVersion`) REFERENCES `ClientVersion` (`Id`),
  ADD CONSTRAINT `Export_ibfk_3` FOREIGN KEY (`OutputType`) REFERENCES `ExportOutputType` (`Id`);

--
-- Omezení pro tabulku `ExportGroup`
--
ALTER TABLE `ExportGroup`
  ADD CONSTRAINT `ExportGroup_ibfk_1` FOREIGN KEY (`Group`) REFERENCES `Group` (`Id`),
  ADD CONSTRAINT `ExportGroup_ibfk_2` FOREIGN KEY (`Group`) REFERENCES `Group` (`Id`),
  ADD CONSTRAINT `ExportGroup_ibfk_3` FOREIGN KEY (`Export`) REFERENCES `Export` (`Id`);

--
-- Omezení pro tabulku `ExportLanguage`
--
ALTER TABLE `ExportLanguage`
  ADD CONSTRAINT `ExportLanguage_ibfk_1` FOREIGN KEY (`Export`) REFERENCES `Export` (`Id`),
  ADD CONSTRAINT `ExportLanguage_ibfk_2` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`);

--
-- Omezení pro tabulku `ExportTask`
--
ALTER TABLE `ExportTask`
  ADD CONSTRAINT `ExportTask_ibfk_1` FOREIGN KEY (`Export`) REFERENCES `Export` (`Id`);

--
-- Omezení pro tabulku `ExportUser`
--
ALTER TABLE `ExportUser`
  ADD CONSTRAINT `ExportUser_ibfk_1` FOREIGN KEY (`Export`) REFERENCES `Export` (`Id`),
  ADD CONSTRAINT `ExportUser_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `ExportVersion`
--
ALTER TABLE `ExportVersion`
  ADD CONSTRAINT `ExportVersion_ibfk_1` FOREIGN KEY (`ExportType`) REFERENCES `ExportOutputType` (`Id`),
  ADD CONSTRAINT `ExportVersion_ibfk_2` FOREIGN KEY (`ClientVersion`) REFERENCES `ClientVersion` (`Id`);

--
-- Omezení pro tabulku `GroupItem`
--
ALTER TABLE `GroupItem`
  ADD CONSTRAINT `GroupItem_ibfk_1` FOREIGN KEY (`Group`) REFERENCES `Group` (`Id`);

--
-- Omezení pro tabulku `GroupItemDBC`
--
ALTER TABLE `GroupItemDBC`
  ADD CONSTRAINT `GroupItemDBC_ibfk_1` FOREIGN KEY (`ClientVersion`) REFERENCES `ClientVersion` (`Id`),
  ADD CONSTRAINT `GroupItemDBC_ibfk_2` FOREIGN KEY (`GroupItem`) REFERENCES `GroupItem` (`Id`);

--
-- Omezení pro tabulku `Log`
--
ALTER TABLE `Log`
  ADD CONSTRAINT `Log_ibfk_1` FOREIGN KEY (`User`) REFERENCES `User` (`ID`),
  ADD CONSTRAINT `Log_ibfk_2` FOREIGN KEY (`Type`) REFERENCES `LogType` (`Id`);

--
-- Omezení pro tabulku `News`
--
ALTER TABLE `News`
  ADD CONSTRAINT `News_ibfk_1` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `Referrer`
--
ALTER TABLE `Referrer`
  ADD CONSTRAINT `Referrer_ibfk_1` FOREIGN KEY (`Parent`) REFERENCES `Referrer` (`Id`);

--
-- Omezení pro tabulku `ShoutBox`
--
ALTER TABLE `ShoutBox`
  ADD CONSTRAINT `ShoutBox_ibfk_1` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `Team`
--
ALTER TABLE `Team`
  ADD CONSTRAINT `Team_ibfk_1` FOREIGN KEY (`Leader`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextAchievement`
--
ALTER TABLE `TextAchievement`
  ADD CONSTRAINT `TextAchievement_ibfk_5` FOREIGN KEY (`Take`) REFERENCES `TextAchievement` (`ID`),
  ADD CONSTRAINT `TextAchievement_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextAchievement_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`),
  ADD CONSTRAINT `TextAchievement_ibfk_3` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextAchievement_ibfk_4` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextAchievementCategory`
--
ALTER TABLE `TextAchievementCategory`
  ADD CONSTRAINT `TextAchievementCategory_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextAchievementCategory` (`ID`),
  ADD CONSTRAINT `TextAchievementCategory_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextAchievementCategory_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextAchievementCriteria`
--
ALTER TABLE `TextAchievementCriteria`
  ADD CONSTRAINT `TextAchievementCriteria_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextAchievementCriteria` (`ID`),
  ADD CONSTRAINT `TextAchievementCriteria_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextAchievementCriteria_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextArea`
--
ALTER TABLE `TextArea`
  ADD CONSTRAINT `TextArea_ibfk_9` FOREIGN KEY (`Take`) REFERENCES `TextArea` (`ID`),
  ADD CONSTRAINT `TextArea_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextArea_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`),
  ADD CONSTRAINT `TextArea_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextArea` (`ID`),
  ADD CONSTRAINT `TextArea_ibfk_4` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextArea_ibfk_5` FOREIGN KEY (`User`) REFERENCES `User` (`ID`),
  ADD CONSTRAINT `TextArea_ibfk_6` FOREIGN KEY (`Take`) REFERENCES `TextArea` (`ID`),
  ADD CONSTRAINT `TextArea_ibfk_7` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextArea_ibfk_8` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextAreaPOI`
--
ALTER TABLE `TextAreaPOI`
  ADD CONSTRAINT `TextAreaPOI_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextAreaPOI` (`ID`),
  ADD CONSTRAINT `TextAreaPOI_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextAreaPOI_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextAreaTriggerTavern`
--
ALTER TABLE `TextAreaTriggerTavern`
  ADD CONSTRAINT `TextAreaTriggerTavern_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextAreaTriggerTavern` (`ID`),
  ADD CONSTRAINT `TextAreaTriggerTavern_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextAreaTriggerTavern_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextAreaTriggerTeleport`
--
ALTER TABLE `TextAreaTriggerTeleport`
  ADD CONSTRAINT `TextAreaTriggerTeleport_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextAreaTriggerTeleport` (`ID`),
  ADD CONSTRAINT `TextAreaTriggerTeleport_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextAreaTriggerTeleport_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextCharacterClass`
--
ALTER TABLE `TextCharacterClass`
  ADD CONSTRAINT `TextCharacterClass_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextCharacterClass` (`ID`),
  ADD CONSTRAINT `TextCharacterClass_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextCharacterClass_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextCharacterRace`
--
ALTER TABLE `TextCharacterRace`
  ADD CONSTRAINT `TextCharacterRace_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextCharacterRace` (`ID`),
  ADD CONSTRAINT `TextCharacterRace_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextCharacterRace_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextChatChannel`
--
ALTER TABLE `TextChatChannel`
  ADD CONSTRAINT `TextChatChannel_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextChatChannel` (`ID`),
  ADD CONSTRAINT `TextChatChannel_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextChatChannel_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextCreature`
--
ALTER TABLE `TextCreature`
  ADD CONSTRAINT `TextCreature_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextCreature` (`ID`),
  ADD CONSTRAINT `TextCreature_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextCreature_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextCreatureType`
--
ALTER TABLE `TextCreatureType`
  ADD CONSTRAINT `TextCreatureType_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextCreatureType` (`ID`),
  ADD CONSTRAINT `TextCreatureType_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextCreatureType_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextEmote`
--
ALTER TABLE `TextEmote`
  ADD CONSTRAINT `TextEmote_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextEmote` (`ID`),
  ADD CONSTRAINT `TextEmote_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextEmote_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextGameObject`
--
ALTER TABLE `TextGameObject`
  ADD CONSTRAINT `TextGameObject_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextGameObject` (`ID`),
  ADD CONSTRAINT `TextGameObject_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextGameObject_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextGameTip`
--
ALTER TABLE `TextGameTip`
  ADD CONSTRAINT `TextGameTip_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextGameTip` (`ID`),
  ADD CONSTRAINT `TextGameTip_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextGameTip_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextGlobalString`
--
ALTER TABLE `TextGlobalString`
  ADD CONSTRAINT `TextGlobalString_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextGlobalString_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextGlueLocalization`
--
ALTER TABLE `TextGlueLocalization`
  ADD CONSTRAINT `TextGlueLocalization_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextGlueLocalization` (`ID`),
  ADD CONSTRAINT `TextGlueLocalization_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextGlueLocalization_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextGlueString`
--
ALTER TABLE `TextGlueString`
  ADD CONSTRAINT `TextGlueString_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextGlueString_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextItem`
--
ALTER TABLE `TextItem`
  ADD CONSTRAINT `TextItem_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextItem` (`ID`),
  ADD CONSTRAINT `TextItem_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextItem_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextItemSubClass`
--
ALTER TABLE `TextItemSubClass`
  ADD CONSTRAINT `TextItemSubClass_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextItemSubClass` (`ID`),
  ADD CONSTRAINT `TextItemSubClass_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextItemSubClass_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextMangosCommand`
--
ALTER TABLE `TextMangosCommand`
  ADD CONSTRAINT `TextMangosCommand_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextMangosCommand_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextMangosString`
--
ALTER TABLE `TextMangosString`
  ADD CONSTRAINT `TextMangosString_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextMangosString` (`ID`),
  ADD CONSTRAINT `TextMangosString_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextMangosString_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextNPC`
--
ALTER TABLE `TextNPC`
  ADD CONSTRAINT `TextNPC_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextNPC_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextNPCOption`
--
ALTER TABLE `TextNPCOption`
  ADD CONSTRAINT `TextNPCOption_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextNPCOption` (`ID`),
  ADD CONSTRAINT `TextNPCOption_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextNPCOption_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextPage`
--
ALTER TABLE `TextPage`
  ADD CONSTRAINT `TextPage_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextPage_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextQuest`
--
ALTER TABLE `TextQuest`
  ADD CONSTRAINT `TextQuest_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextQuest_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`),
  ADD CONSTRAINT `TextQuest_ibfk_3` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextQuest_ibfk_4` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextSD2EventAI`
--
ALTER TABLE `TextSD2EventAI`
  ADD CONSTRAINT `TextSD2EventAI_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextSD2EventAI` (`ID`),
  ADD CONSTRAINT `TextSD2EventAI_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextSD2EventAI_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextSD2Script`
--
ALTER TABLE `TextSD2Script`
  ADD CONSTRAINT `TextSD2Script_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextSD2Script` (`ID`),
  ADD CONSTRAINT `TextSD2Script_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextSD2Script_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextSkillCategory`
--
ALTER TABLE `TextSkillCategory`
  ADD CONSTRAINT `TextSkillCategory_ibfk_8` FOREIGN KEY (`Take`) REFERENCES `TextSkillCategory` (`ID`),
  ADD CONSTRAINT `TextSkillCategory_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextSkillCategory_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`),
  ADD CONSTRAINT `TextSkillCategory_ibfk_3` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextSkillCategory_ibfk_4` FOREIGN KEY (`User`) REFERENCES `User` (`ID`),
  ADD CONSTRAINT `TextSkillCategory_ibfk_5` FOREIGN KEY (`Take`) REFERENCES `TextSkillCategory` (`Id`),
  ADD CONSTRAINT `TextSkillCategory_ibfk_6` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextSkillCategory_ibfk_7` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextSkillLine`
--
ALTER TABLE `TextSkillLine`
  ADD CONSTRAINT `TextSkillLine_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextSkillLine` (`ID`),
  ADD CONSTRAINT `TextSkillLine_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextSkillLine_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextSpell`
--
ALTER TABLE `TextSpell`
  ADD CONSTRAINT `TextSpell_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextSpell` (`ID`),
  ADD CONSTRAINT `TextSpell_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextSpell_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextTalentTab`
--
ALTER TABLE `TextTalentTab`
  ADD CONSTRAINT `TextTalentTab_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextTalentTab` (`ID`),
  ADD CONSTRAINT `TextTalentTab_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextTalentTab_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextTotemCategory`
--
ALTER TABLE `TextTotemCategory`
  ADD CONSTRAINT `TextTotemCategory_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextTotemCategory` (`ID`),
  ADD CONSTRAINT `TextTotemCategory_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextTotemCategory_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextTransport`
--
ALTER TABLE `TextTransport`
  ADD CONSTRAINT `TextTransport_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextTransport` (`ID`),
  ADD CONSTRAINT `TextTransport_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextTransport_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `TextWorldStateUI`
--
ALTER TABLE `TextWorldStateUI`
  ADD CONSTRAINT `TextWorldStateUI_ibfk_3` FOREIGN KEY (`Take`) REFERENCES `TextWorldStateUI` (`ID`),
  ADD CONSTRAINT `TextWorldStateUI_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `TextWorldStateUI_ibfk_2` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);

--
-- Omezení pro tabulku `User`
--
ALTER TABLE `User`
  ADD CONSTRAINT `User_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`),
  ADD CONSTRAINT `User_ibfk_2` FOREIGN KEY (`Team`) REFERENCES `Team` (`Id`);");
  
  $Manager->Execute('INSERT INTO `DbVersion` (`Id` ,`Revision`) VALUES ("1", "498")');
  $Manager->Execute('INSERT INTO `Language` (`Id` ,`Name` ,`Enabled`)VALUES (NULL , "Angličtina", 0);');
  $Manager->Execute('INSERT INTO `Language` (`Id` ,`Name` ,`Enabled`)VALUES (NULL , "Čeština", 1);');
  $Manager->Execute("INSERT INTO `LogType` (`Id`, `Name`, `Color`, `Description`) VALUES
(1, 'Překlady', 'green', 'Operace s překlady'),
(2, 'Stažení', 'brown', 'Stáhnutí souboru'),
(3, 'Uživatelé', 'blue', 'Přihlášení uživatelů, nastavení, registrace'),
(4, 'Moderátor', 'orange', 'Operace administrátorů a moderátorů'),
(10, 'Chyby', 'red', 'Zachycené chybové hlášení'),
(11, 'Import', 'magenta', 'Záznam změn při importu'),
(12, 'Export', '#1080F0', 'Záznam akcí s exporty'),
(13, 'CzWoW', 'violet', 'Překládací addon CzWoW'),
(14, 'Administrace', 'olive', 'Administrativní akce');");
  $Manager->Execute("INSERT INTO `ClientVersion` (`Id`, `Version`, `BuildNumber`, `ReleaseDate`, `Title`, `Imported`) VALUES
(1, '3.1.3', 9947, '2009-06-02', '', 0),
(2, '3.1.2', 9901, '2009-05-15', '', 0),
(3, '3.1.1a', 9835, '2009-04-28', '', 0),
(4, '3.1.1', 9806, '2009-04-21', '', 0),
(5, '3.1.0', 9767, '2009-04-14', 'Secrets of Ulduar', 0),
(6, '3.0.9', 9551, '2009-02-10', '', 0),
(7, '3.0.8a', 9506, '2009-01-27', '', 0),
(8, '3.0.8', 9464, '2009-01-20', '', 0),
(9, '3.0.3', 9183, '2008-11-04', '', 0),
(10, '3.0.2', 9056, '2008-10-14', 'Echoes of Doom', 0),
(11, '2.4.3', 8606, '2008-07-15', '', 0),
(12, '2.4.2', 8209, '2008-06-13', '', 0),
(13, '2.4.1', 8125, '2008-04-01', '', 0),
(14, '2.4.0', 8089, '2008-03-25', 'Fury of the Sunwell', 0),
(15, '2.3.3', 7799, '2008-01-22', '', 0),
(16, '2.3.2', 7741, '2008-01-08', '', 0),
(17, '2.3.0', 7561, '2007-11-13', 'The Gods of Zul''Aman', 0),
(18, '2.2.3', 7359, '2007-10-09', '', 0),
(19, '2.2.2', 7318, '2007-10-02', '', 0),
(20, '2.2.0', 7272, '2007-09-25', 'Voice Chat!', 0),
(21, '2.1.3', 6898, '2007-07-10', '', 0),
(22, '2.1.2', 6803, '2007-06-19', '', 0),
(23, '2.1.1', 6739, '2007-06-05', '', 0),
(24, '2.1.0a', 6729, '2007-05-22', '', 0),
(25, '2.1.0', 6692, '2007-05-22', 'The Black Temple', 0),
(26, '2.0.12', 6546, '2007-04-03', '', 0),
(27, '2.0.10', 6448, '2007-03-06', '', 0),
(28, '2.0.8', 6403, '2007-02-16', '', 0),
(29, '2.0.7', 6383, '2007-02-13', '', 0),
(30, '2.0.6', 6337, '2007-01-23', '', 0),
(31, '2.0.5', 6320, '2007-01-14', '', 0),
(32, '2.0.4', 6320, '2007-01-12', '', 0),
(33, '2.0.3', 6299, '2007-01-09', '', 0),
(34, '2.0.1', 6180, '2006-12-05', 'Before the Storm', 0),
(35, '1.12.2', 6005, '2006-11-13', '', 0),
(36, '1.12.1', 5875, '2006-09-26', '', 0),
(37, '1.12.0', 5595, '2006-09-22', 'Drums of War', 0),
(38, '1.11.2', 5464, '2006-07-11', '', 0),
(39, '1.11.1', 5462, '2006-06-28', '', 0),
(40, '1.11.0', 5428, '2006-06-20', 'Shadow of the Necropolis', 0),
(41, '1.10.2', 5302, '2006-05-02', '', 0),
(42, '1.10.1', 5230, '2006-04-11', '', 0),
(43, '1.10.0', 5195, '2006-03-28', 'Storms of Azeroth', 0),
(44, '1.9.4', 5086, '2006-03-14', '', 0),
(45, '1.9.3', 5059, '2006-02-07', 'Love is in the Air', 0),
(46, '1.9.2', 4996, '2006-01-12', '', 0),
(47, '1.9.1', 4983, '2006-01-10', '', 0),
(48, '1.9.0', 4937, '2006-01-03', 'The Gates of Ahn''Qiraj', 0),
(49, '1.8.4', 4878, '2005-12-05', '', 0),
(50, '1.8.3', 4807, '2005-11-15', '', 0),
(51, '1.8.2', 4784, '2005-10-27', '', 0),
(52, '1.8.1', 4769, '2005-10-25', '', 0),
(53, '1.8.0', 4735, '2005-10-10', 'Dragons of Nightmare', 0),
(54, '1.7.1', 4695, '2005-09-22', '', 0),
(55, '1.7.0', 4671, '2006-09-13', 'Rise of the Blood God', 0),
(56, '1.6.1', 4544, '2005-08-02', '', 0),
(57, '1.6.0', 4500, '2005-07-12', 'Assault on Blackwing Lair', 0),
(58, '1.5.1', 4449, '2005-06-14', '', 0),
(59, '1.5.0', 4442, '2005-06-07', 'Battlegrounds', 0),
(60, '1.4.2', 4375, '2005-05-03', '', 0),
(61, '1.4.1', 4364, '2005-05-03', '', 0),
(62, '1.4.0', 4341, '2005-04-08', 'The Call to War', 0),
(63, '1.3.2', 4299, '2005-03-22', '', 0),
(64, '1.3.1', 4297, '2005-03-22', '', 0),
(65, '1.3.0', 4284, '2005-03-07', 'Ruins of the Dire Maul', 0),
(66, '1.2.4', 4222, '2005-02-22', '', 0),
(67, '1.2.3', 4211, '2005-02-22', '', 0),
(68, '1.2.2', 4196, '2005-02-15', '', 0),
(69, '1.2.1', 4150, '2004-12-21', '', 0),
(70, '1.2.0', 4149, '2004-12-18', 'Mysteries of Maraudon', 0),
(71, '1.1.2', 4125, '2004-12-06', '', 0),
(72, '1.1.1', 4062, '2004-11-17', '', 0),
(73, '1.1.0', 4044, '2004-11-07', 'World of Warcraft', 0),
(74, '3.2.0', 10192, '2009-08-05', 'Call of the Crusade', 0),
(75, '3.3.0', 10958, '2009-11-08', 'Fall of the Lich King', 0),
(76, '3.2.2a', 10505, '2009-09-25', '', 0),
(77, '3.2.2', 10482, '2009-09-22', '', 0),
(78, '3.2.0a', 10314, '2009-08-19', '', 0),
(79, '3.3.0a', 11159, '2009-11-14', '', 0),
(80, '3.3.2', 11403, '2010-02-02', '', 0),
(81, '3.3.3', 11685, '2010-03-23', '', 0),
(82, '3.3.3a', 11723, '2010-03-26', '', 0),
(83, '3.3.5', 12213, '2010-06-22', 'Defending the Ruby Sanctum', 0),
(84, '3.3.5a', 12340, '2010-06-29', '', 0),
(85, '4.0.1', 13164, '2010-10-12', 'Cataclysm Systems', 0),
(86, '4.0.3', 13202, '2010-11-17', 'The Shattering', 0),
(87, '4.0.1a', 13205, '2010-10-26', '', 0),
(88, '4.0.3a', 13329, '2010-11-23', '', 0),
(89, '4.0.6', 13596, '2011-02-08', '', 0),
(90, '4.0.6a', 13623, '2012-02-11', '', 0),
(91, '4.1.0', 13914, '2011-04-26', 'Rise of the Zandalari', 0),
(92, '4.2.0', 14333, '2011-06-28', 'Rage of the Firelands', 0),
(93, '4.2.0a', 14480, '2011-08-08', '', 0),
(94, '4.2.2', 14545, '2011-08-30', '', 0),
(95, '4.3.0', 15005, '2011-11-29', 'Hour of Twilight', 0),
(96, '4.3.0a', 15050, '2011-12-02', '', 0),
(97, '4.3.2', 15211, '2012-01-31', '', 0),
(98, '4.3.3', 15354, '2012-02-28', '', 0),
(99, '4.3.4', 15595, '2012-04-17', '', 0),
(100, '5.0.4', 16016, '2012-08-27', 'Mists of Pandaria', 0),
(101, '5.0.5', 16057, '2012-09-13', '', 0),
(102, '5.0.5b', 16135, '2012-10-11', '', 0),
(103, '5.1.0', 16309, '2012-11-27', 'Landfall', 0),
(104, '5.1.0a', 16357, '2012-12-10', '', 0);");
  $Manager->Execute("INSERT INTO `ExportOutputType` (`Id`, `Name`) VALUES
  (1, 'MaNGOS SQL - přímo zobrazit'),
  (2, 'MaNGOS SQL - komprimovaný soubor'),
  (3, 'AoWoW SQL - přímo zobrazit'),
  (4, 'AoWoW SQL - komprimovaný soubor'),
  (5, 'XML - přímo zobrazit'),
  (6, 'XML - komprimovaný soubor'),
  (7, 'Addon - komprimovaný soubor'),
  (8, 'Lua skripty - komprimovaný soubor'),
  (9, 'DBC soubory');");
}

function UpdateTo506($Manager)
{      
  global $System;
  
  $DbResult = $System->Database->query('SELECT `TablePrefix` FROM `Group`');
  while($Group = $DbResult->fetch_assoc())
  {
    $Manager->Execute('ALTER TABLE `'.$Group['TablePrefix'].'` ADD FOREIGN KEY ( `Language` ) REFERENCES `Language` ('.
      '`Id`) ON DELETE RESTRICT ON UPDATE RESTRICT ;');
    $Manager->Execute('ALTER TABLE `'.$Group['TablePrefix'].'` CHANGE `User` `User` INT( 11 ) NULL DEFAULT NULL ;');
    $Manager->Execute('UPDATE `'.$Group['TablePrefix'].'` SET `User` = NULL WHERE `User` =0;');
    $Manager->Execute('ALTER TABLE `'.$Group['TablePrefix'].'` ADD FOREIGN KEY ( `User` ) REFERENCES `User` ('.
     '`ID`) ON DELETE RESTRICT ON UPDATE RESTRICT ;');
    $Manager->Execute('ALTER TABLE `'.$Group['TablePrefix'].'` CHANGE `Take` `Take` INT( 11 ) NULL DEFAULT NULL ;');
    $Manager->Execute('UPDATE `'.$Group['TablePrefix'].'` SET `Take` = NULL WHERE `Take` =0;');
    $Manager->Execute('ALTER TABLE `'.$Group['TablePrefix'].'` CHANGE `ID` `ID` INT( 11 ) NOT NULL AUTO_INCREMENT; ');
    $Manager->Execute('UPDATE `'.$Group['TablePrefix'].'` SET `Take` = NULL WHERE NOT EXISTS (SELECT `Id` FROM ('.
        'SELECT `Id` FROM `'.$Group['TablePrefix'].'` ) AS `T` WHERE `T`.`Id` = `'.$Group['TablePrefix'].
        '`.`Take` ) AND `Take` IS NOT NULL');
    $Manager->Execute('ALTER TABLE `'.$Group['TablePrefix'].'` ADD FOREIGN KEY ( `Take` ) REFERENCES `'.$Group['TablePrefix'].'` ('.
      '`ID`) ON DELETE RESTRICT ON UPDATE RESTRICT ;');
  }
  $Manager->Execute('ALTER TABLE `TextPage` CHANGE `Text` `Text` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL; ');
  $Manager->Execute('ALTER TABLE `TextQuest` CHANGE `Title` `Title` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,'.
  'CHANGE `Details` `Details` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,'.
  'CHANGE `Objectives` `Objectives` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,'.
  'CHANGE `OfferRewardText` `OfferRewardText` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,'.
  'CHANGE `RequestItemsText` `RequestItemsText` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,'.
  'CHANGE `EndText` `EndText` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,'.
  'CHANGE `ObjectiveText1` `ObjectiveText1` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,'.
  'CHANGE `ObjectiveText2` `ObjectiveText2` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,'.
  'CHANGE `ObjectiveText3` `ObjectiveText3` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,'.
  'CHANGE `ObjectiveText4` `ObjectiveText4` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;');
}

function UpdateTo510($Manager)
{      
  $Manager->Execute('ALTER TABLE `News` ADD `Title` VARCHAR( 255 ) NOT NULL AFTER `Time`');
  $Manager->Execute('UPDATE `News` SET `Title` = (SELECT `Name` FROM `User` AS `T` WHERE `T`.`ID` = `User`)');
}

function UpdateTo524($Manager)
{      
  $Manager->Execute('ALTER TABLE `User` ADD `PreferredVersion` INT NULL DEFAULT NULL');
  $Manager->Execute('ALTER TABLE `User` ADD INDEX ( `PreferredVersion` )');
  $Manager->Execute('ALTER TABLE `User` ADD FOREIGN KEY ( `PreferredVersion` ) '.
  	'REFERENCES `ClientVersion` (`Id`) ON DELETE RESTRICT ON UPDATE RESTRICT ;');
  $Manager->Execute('ALTER TABLE `User` ADD `Info` TEXT NOT NULL');
}

function UpdateTo537($Manager)
{
  // Set all string collation to utf8 general
  $DbResult = $Manager->Execute("SHOW TABLES");
  while($DbRow = $DbResult->fetch_row())
  {
    $Manager->Execute("ALTER TABLE `".$DbRow[0]."` CONVERT TO CHARACTER SET utf8"); 
  }  
}

function UpdateTo539($Manager)
{
  $Manager->Execute("CREATE TABLE IF NOT EXISTS `UserTrace` (
    `Id` int(11) NOT NULL AUTO_INCREMENT,
    `User` int(11) NOT NULL,
    `LastLogin` datetime NOT NULL,
    `LastLogout` datetime NOT NULL,
    `LastIP` varchar(16) NOT NULL,
    `UserAgent` varchar(255) NOT NULL,
    PRIMARY KEY (`Id`),
    KEY `User` (`User`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;");
  $Manager->Execute("ALTER TABLE `UserTrace`
  ADD CONSTRAINT `UserTrace_ibfk_1` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);");
  $Manager->Execute("INSERT INTO `UserTrace` (".
    "SELECT NULL AS `Id` , `User`.`Id` AS `User` , `User`.`LastLogin` AS `LastLogin` , `User`.`LastLogout` AS `LastLogout` , `User`.`LastIP` AS `LastIP` , '' AS `UserAgent` ".
    "FROM `User` WHERE 1 ) ");
  $Manager->Execute("ALTER TABLE `User` DROP `LastIP`, DROP `LastLogin`, DROP `LastLogout`;");
}

function UpdateTo543($Manager)
{ 
  $Manager->Execute('ALTER TABLE `Group` ADD INDEX ( `Name` )');
}

function UpdateTo567($Manager)
{ 
  $Manager->Execute('ALTER TABLE `Log` ADD `URL` VARCHAR( 255 ) NOT NULL ;');
}

function UpdateTo574($Manager)
{ 
  $Manager->Execute('CREATE TABLE IF NOT EXISTS `WikiPage` (
		`Id` int(11) NOT NULL AUTO_INCREMENT,
		`Name` varchar(255) NOT NULL,
		`NormalizedName` varchar(255) NOT NULL,
		`VisibleInMenu` int(11) NOT NULL,
		PRIMARY KEY (`Id`),
		UNIQUE KEY `Name` (`Name`),
		KEY `VisibleInMenu` (`VisibleInMenu`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;');

  $Manager->Execute('CREATE TABLE IF NOT EXISTS `WikiPageContent` (
		`Id` int(11) NOT NULL AUTO_INCREMENT,
		`Page` int(11) NOT NULL,
		`Time` datetime NOT NULL,
		`Content` text NOT NULL,
		`User` int(11) NOT NULL,
		PRIMARY KEY (`Id`),
		KEY `User` (`User`),
		KEY `Page` (`Page`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;');

  $Manager->Execute('ALTER TABLE `WikiPageContent`
ADD CONSTRAINT `WikiPageContent_ibfk_2` FOREIGN KEY (`Page`) REFERENCES `WikiPage` (`Id`),
ADD CONSTRAINT `WikiPageContent_ibfk_1` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);');
}

function UpdateTo585($Manager)
{ 
  $Manager->Execute('CREATE TABLE IF NOT EXISTS `APIToken` (
    `Id` int(11) NOT NULL AUTO_INCREMENT,
    `User` int(11) NOT NULL,
    `Token` varchar(255) NOT NULL,
    PRIMARY KEY (`Id`),
    KEY `User` (`User`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;');
  $Manager->Execute('ALTER TABLE `APIToken`
  ADD CONSTRAINT `APIToken_ibfk_1` FOREIGN KEY (`User`) REFERENCES `User` (`ID`);');
}

function UpdateTo600($Manager)
{
	$Manager->Execute("INSERT INTO `LogType` (`Id` ,`Name` ,`Color` ,`Description`)
VALUES (NULL , 'Nenalezené', 'teal', 'Nenalezené stránky');");
} 

function UpdateTo604($Manager)
{
	$Manager->Execute("INSERT INTO  `ClientVersion` (`Id` ,`Version` ,`BuildNumber` ,`ReleaseDate` ,`Title` ,`Imported`)
VALUES ( NULL ,  '5.2.0',  '16650',  '2013-03-05',  'The Thunder King',  0
), ( NULL ,  '5.3.0',  '16977',  '2013-05-21',  'Escalation',  0
), ( NULL ,  '5.4.0',  '17359',  '2013-09-10',  'Siege of Orgrimmar',  0 );");
}

function UpdateTo609($Manager)
{
  $Manager->Execute('CREATE TABLE IF NOT EXISTS `Locale` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Language` int(11) NOT NULL,
  `Original` varchar(255) NOT NULL,
  `Translated` varchar(255) NOT NULL,
  `Fuzzy` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Language` (`Language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;');

  $Manager->Execute('ALTER TABLE `Locale`
  ADD CONSTRAINT `Locale_ibfk_1` FOREIGN KEY (`Language`) REFERENCES `Language` (`Id`);');
}

$Updates = array(
	498 => array('Revision' => 506, 'Function' => 'UpdateTo506'),
	506 => array('Revision' => 510, 'Function' => 'UpdateTo510'),
 	510 => array('Revision' => 524, 'Function' => 'UpdateTo524'),
	524 => array('Revision' => 537, 'Function' => 'UpdateTo537'),
	537 => array('Revision' => 539, 'Function' => 'UpdateTo539'),
	539 => array('Revision' => 543, 'Function' => 'UpdateTo543'),
	543 => array('Revision' => 567, 'Function' => 'UpdateTo567'),
	567 => array('Revision' => 574, 'Function' => 'UpdateTo574'),
	574 => array('Revision' => 585, 'Function' => 'UpdateTo585'),
	585 => array('Revision' => 600, 'Function' => 'UpdateTo600'),
	600 => array('Revision' => 604, 'Function' => 'UpdateTo604'),
	604 => array('Revision' => 609, 'Function' => 'UpdateTo609'),
);
